=== debian/changelog ===
xournalpp (1.3.1-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports (Closes: #1124227)
  * d/rules: Don't run dwz since it keeps failing

 -- Matthias Geiger <werdahias@debian.org>  Wed, 21 Jan 2026 17:05:16 +0100

xournalpp (1.3.1-1) unstable; urgency=medium

  [ Roland Lötscher ]
  * New Upstream Version
    - Restored the rendering of graph backgrounds used before the 1.3.0 release
    - Fixed image loading on Windows
    - Fixed clipboard pasting
    - Fixed crashes related to saving text nodes and automatic page addition

  [ Barak A. Pearlmutter ]
  * bump standards version
  * remove now-unnecessary "Priority: optional" line

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 29 Dec 2025 09:55:20 +0000
