=== debian/changelog ===
xournalpp (1.3.2-1) unstable; urgency=medium

  [ Benjamin Hennion ]
  * New upstream version
    - Fix sidebar layout when resizing and changing tab
    - Fix graph/dotted backgrounds
    - Restore new page behaviour with PDF background
    - Fix crashes on Windows (UTF-8 conversion and when missing background)
    - Fix crash on Clipboard IO error
    - Make Plugin openFile API comply with forceOpen parameter
    - Fix CLI behaviour on error
    - Restore GtkSourceView support
    - Fix recoloring when light color is lighter
    - Fix image orientation on Drag-n-Drop pasting
    - Fix crashes when using touchscreen in Setting->Input panel
    - Updated translations

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 12 Feb 2026 15:11:42 +0000
