=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: xournalpp
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Uploaders: Mike Gabriel <sunweaver@debian.org>, Matthias Geiger <werdahias@debian.org>
+Uploaders: Mike Gabriel <sunweaver@debian.org>
 Section: x11
 Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), cmake,
