=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 	-rm debian/xournalpp/usr/share/xournalpp/ui/README.md
 
 override_dh_dwz:
+	dh_dwz --no-dwz-multifile
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo -DENABLE_CPPTRACE=OFF
