## xournalpp 1.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 ## Project related Variables
 ## Also update changelog in debian folder!
 project(xournalpp
-        VERSION 1.3.1
+        VERSION 1.3.3
         DESCRIPTION "Xournal++ - Open source hand note-taking program"
         HOMEPAGE_URL "https://xournalpp.github.io/"
         LANGUAGES CXX C)
@@ -86,7 +86,7 @@
 
 find_package(PkgConfig REQUIRED)
 
-set(PACKAGE_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share")
+set(PROJECT_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}")
 
 # Git repo info
 include(GitRepo)
@@ -149,7 +149,7 @@
 list(APPEND pkg-module-spec "gthread-2.0 >= 2.4.0")
 list(APPEND pkg-module-spec "libxml-2.0 >= 2.0.0")
 list(APPEND pkg-module-spec "libzip >= 1.0.1")
-list(APPEND pkg-module-spec "librsvg-2.0 >= 2.40")
+list(APPEND pkg-module-spec "librsvg-2.0 >= 2.46")
 
 # Profiling
 option (ENABLE_PROFILING "Link with gperftools" OFF)
@@ -291,10 +291,6 @@
 set(DEV_FILE_FORMAT_VERSION 4 CACHE STRING "File format version" FORCE)
 
 option(DEV_ENABLE_GCOV "Build with gcov support" OFF) # Enabel gcov support – expanded in src/
-option(DEV_CHECK_GTK3_COMPAT "Adds a few compiler flags to check basic GTK3 upgradeability support (still compiles for GTK2!)")
-if (DEV_CHECK_GTK3_COMPAT)
-    add_definitions(-DGTK_DISABLE_SINGLE_INCLUDES -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGSEAL_ENABLE)
-endif ()
 
 mark_as_advanced(FORCE
         DEV_TOOLBAR_CONFIG DEV_SETTINGS_XML_FILE DEV_PRINT_CONFIG_FILE DEV_METADATA_FILE
@@ -316,3 +312,19 @@
 configure_file(
         src/config-dev.h.in
         src/config-dev.h
+        ESCAPE_QUOTES @ONLY
+)
+
+configure_file(
+        src/config-git.h.in
+        src/config-git.h
+        ESCAPE_QUOTES @ONLY
+)
+
+configure_file(
+        src/config-paths.h.in
+        src/config-paths.h
+        ESCAPE_QUOTES @ONLY
+)
+
+option(xournalpp_LINT "enable lint (clang-tidy) target" OFF)
