=== po/CMakeLists.txt ===
--- 
+++ 
@@ -46,5 +46,4 @@
 endif (XGETTEXT_FOUND)
 
 set(GETTEXT_PACKAGE ${PROJECT_NAME} PARENT_SCOPE)
-set(PACKAGE_LOCALE_DIR ${PACKAGE_DATA_DIR}/locale PARENT_SCOPE)
