=== debian/changelog ===
xournalpp (1.3.3-1) unstable; urgency=medium

  [ Benjamin Hennion ]
  * New upstream version
    - Fix undo/redo crash with automatic page insertion
    - Silent errors when parsing some files are no longer silent
    - Fix more UTF-8 conversion issues
    - Report failure to open recent files
    - Fix rendering of single-dot strokes
    - Fix horizontal alignment of pages
    - Fix toolbar item "Draw line" being wrongly enabled
    - Improve zoom/scroll responsivity
    - Updated translations

  [ Barak A. Pearlmutter ]
  * Reorder Files paragraphs in debian/copyright by directory depth.

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 02 Mar 2026 13:30:20 +0000
